/*============================================================================
  File:     CreateCorruptSystemTables.sql

  Summary:  This script creates a database with corrupt metadata

  Date:     March 2011

  SQL Server Versions:
		10.0.2531.00 (SS2008 SP1)
------------------------------------------------------------------------------
  Written by Paul S. Randal, SQLskills.com

  (c) 2011, SQLskills.com. All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  You may alter this code for your own *non-commercial* purposes. You may
  republish altered code as long as you include this copyright and give due
  credit, but you must obtain prior permission before blogging this code.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/


CREATE DATABASE DemoCorruptSystemTables;
GO
USE DemoCorruptSystemTables;
GO

CREATE TABLE t1 (c1 INT NOT NULL);
GO
ALTER TABLE t1 ADD PRIMARY KEY (c1);
GO

-- Now restart SQL Server in single-user mode
-- Connect using the Dedicated Admin Connection
USE DemoCorruptSystemTables;
GO

DELETE FROM sys.syscolpars WHERE [id] = OBJECT_ID ('t1');
GO

-- Restart the server in multi-user mode
BACKUP DATABASE DemoCorruptSystemTables
TO DISK ='D:\SQLskills\CorruptionDemoBackups\CorruptDemoCorruptSystemTables.bak';
GO


